Delete a subscriber from an account
POST /subscribers/delete.{Format}
Deletes a subscriber from the entire account.
Request
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
| Accept | header | string | true | Determines the expected format and data type to retrieve the response data.Value: application/json |
| Format | path | string | true | The supported file format for getting a response.Possible values: json and xml. |
| apikey | query | string | true | The API key of your account. |
| body | string | true | The email address of the subscriber. | |
| IncludeAllSubAccounts | body | boolean | false | Determines whether to delete the subscriber from all subaccounts. |
http
curl
Response
| Status | Description | Headers | Schema |
|---|---|---|---|
| 200 OK | The request is successful. | Content-Type/json | N/A |
json
-
Code- the response code. This is0if successful. -
Error- the response error message. This isnullif successful.-
VALIDATION_ERROR- input validation error occurred. -
MEMBER_NOT_FOUND- a specified email address was not found in the email list. -
MEMBER_DELETION_FAILED- failed to delete one or more members.
-
-
Context- this isnullif successful.
If you have suggestions for improving this article, let us know!